Class | OpenCascade
In: | lib/facets/more/opencascade.rb
Parent: | OpenObject

# OpenCascade

OpenCascade is subclass of OpenObject. It differs in a few significant ways.

The main reason this class is labeled "cascade", every internal Hash is trandformed into an OpenCascade dynamically upon access. This makes it easy to create "cascading" references.

      h = { :x => { :y => { :z => 1 } } }
      c = OpenCascade[h]
      c.x.y.z  #=> 1

### Methods

method_missing

### Public Instance methods

method_missing( sym, arg=nil )

[Validate]